package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.PapGinekologi;
import com.jasamedika.medifirst2000.vo.PapGinekologiVO;

/**
 * Converter class between PAPGinekologi and PAPGinekologiVO
 * 
 * @author Askur
 */
@Component
public class PapGinekologiConverter implements BaseVoConverter<PapGinekologiVO, PapGinekologi> {
	

	public PapGinekologi transferVOToModel(PapGinekologiVO vo, PapGinekologi model) {
		if (null == model)
			model = new PapGinekologi();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, PapGinekologi.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return model;

	}

	public List<PapGinekologiVO> transferListOfModelToListOfVO(List<PapGinekologi> models,
			List<PapGinekologiVO> vos) {
		if (null == vos)
			vos = new ArrayList<PapGinekologiVO>();

		if (null == models)
			return vos;

		for (PapGinekologi PapGinekologi : models) {
			PapGinekologiVO vo = new PapGinekologiVO();
			vo = transferModelToVO(PapGinekologi, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public PapGinekologiVO transferModelToVO(PapGinekologi model, PapGinekologiVO vo) {

		if (null == vo)
			vo = new PapGinekologiVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PapGinekologiVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	
	}

	
}
